Package org.eclipse.cdt.core

# Interface ICommandLauncherFactory

public interface ICommandLauncherFactory

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`ICommandLauncher`
`getCommandLauncher(ICConfigurationDescription cfgd)`
Get a Command Launcher for a build configuration descriptor
`ICommandLauncher`
`getCommandLauncher(org.eclipse.core.resources.IProject project)`
Get a Command Launcher for a project (based on active configuration)
`void`
`registerLanguageSettingEntries(org.eclipse.core.resources.IProject project, List<? extends ICLanguageSettingEntry> entries)`
Register language setting entries for a project
`List<ICLanguageSettingEntry>`
`verifyLanguageSettingEntries(org.eclipse.core.resources.IProject project, List<ICLanguageSettingEntry> entries)`
Verify language setting entries for a project and change any entries that have been copied to a local location

## Method Details

### getCommandLauncher

ICommandLauncher getCommandLauncher(org.eclipse.core.resources.IProject project)
Get a Command Launcher for a project (based on active configuration)

Parameters:
  `project` - - IProject to get command launcher for
Returns:
  ICommandLauncher

### getCommandLauncher

ICommandLauncher getCommandLauncher(ICConfigurationDescription cfgd)
Get a Command Launcher for a build configuration descriptor

Parameters:
  `cfgd` - - ICConfigurationDescription to get command launcher for
Returns:
  ICommandLauncher

### registerLanguageSettingEntries

void registerLanguageSettingEntries(org.eclipse.core.resources.IProject project, List<? extends ICLanguageSettingEntry> entries)
Register language setting entries for a project

Parameters:
  `project` - - IProject used in obtaining language setting entries
  `entries` - - List of language setting entries

### verifyLanguageSettingEntries

List<ICLanguageSettingEntry> verifyLanguageSettingEntries(org.eclipse.core.resources.IProject project, List<ICLanguageSettingEntry> entries)
Verify language setting entries for a project and change any entries that have been copied to a local location

Parameters:
  `project` - - IProject used in obtaining language setting entries
  `entries` - - List of language setting entries
Returns:
  modified List of language setting entries